<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Ciao Code Documentation: metric_generic_defs::metric_generic_ Type Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Ciao Code Documentation
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacemetric__generic__defs.html">metric_generic_defs</a></li><li class="navelem"><a class="el" href="structmetric__generic__defs_1_1metric__generic__.html">metric_generic_</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="structmetric__generic__defs_1_1metric__generic__-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">metric_generic_defs::metric_generic_ Type Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Collaboration diagram for metric_generic_defs::metric_generic_:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
<div class="center"><img src="structmetric__generic__defs_1_1metric__generic____coll__graph.png" border="0" usemap="#metric__generic__defs_1_1metric__generic___coll__map" alt="Collaboration graph"/></div>
<map name="metric__generic__defs_1_1metric__generic___coll__map" id="metric__generic__defs_1_1metric__generic___coll__map">
<area shape="rect" id="node2" href="structbc__metric__defs_1_1coeff__bc__.html" title="{bc_metric_defs::coeff_bc_\n|+ dist_e\l+ op\l+ rbc\l+ ibc\l|}" alt="" coords="5,5,181,127"/>
</map>
</div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:acdb1045c2ee511ec58015199783d89cc"><td class="memItemLeft" align="right" valign="top">character(len=str_medium)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmetric__generic__defs_1_1metric__generic__.html#acdb1045c2ee511ec58015199783d89cc">name</a></td></tr>
<tr class="separator:acdb1045c2ee511ec58015199783d89cc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8a1dde81afe8172143d39971c0f5ef6a"><td class="memItemLeft" align="right" valign="top">integer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmetric__generic__defs_1_1metric__generic__.html#a8a1dde81afe8172143d39971c0f5ef6a">order</a> = 2</td></tr>
<tr class="separator:a8a1dde81afe8172143d39971c0f5ef6a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1e470b182f915f86760748d79d3cb8e4"><td class="memItemLeft" align="right" valign="top">integer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmetric__generic__defs_1_1metric__generic__.html#a1e470b182f915f86760748d79d3cb8e4">st1</a></td></tr>
<tr class="separator:a1e470b182f915f86760748d79d3cb8e4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afcf58ab0d6628cf8b42a47c06c02b6a6"><td class="memItemLeft" align="right" valign="top">integer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmetric__generic__defs_1_1metric__generic__.html#afcf58ab0d6628cf8b42a47c06c02b6a6">st2</a></td></tr>
<tr class="separator:afcf58ab0d6628cf8b42a47c06c02b6a6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af09ab4279670809df7d814b38c7f6086"><td class="memItemLeft" align="right" valign="top">integer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmetric__generic__defs_1_1metric__generic__.html#af09ab4279670809df7d814b38c7f6086">stp</a></td></tr>
<tr class="separator:af09ab4279670809df7d814b38c7f6086"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad5050e0545b97db0fff6df82c119fc45"><td class="memItemLeft" align="right" valign="top">integer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmetric__generic__defs_1_1metric__generic__.html#ad5050e0545b97db0fff6df82c119fc45">visc_order</a></td></tr>
<tr class="separator:ad5050e0545b97db0fff6df82c119fc45"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad4ef1c9b0db0e4e28208b45ae14ce02c"><td class="memItemLeft" align="right" valign="top">integer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmetric__generic__defs_1_1metric__generic__.html#ad4ef1c9b0db0e4e28208b45ae14ce02c">st1_isx</a></td></tr>
<tr class="separator:ad4ef1c9b0db0e4e28208b45ae14ce02c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a07db3dd4a48b516348bd78c1b792fe32"><td class="memItemLeft" align="right" valign="top">integer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmetric__generic__defs_1_1metric__generic__.html#a07db3dd4a48b516348bd78c1b792fe32">st2_isx</a></td></tr>
<tr class="separator:a07db3dd4a48b516348bd78c1b792fe32"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2b08c987a6127ccb01495e5b59168837"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:,:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmetric__generic__defs_1_1metric__generic__.html#a2b08c987a6127ccb01495e5b59168837">coeff_deriv</a> =&gt; null()</td></tr>
<tr class="separator:a2b08c987a6127ccb01495e5b59168837"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a756a11126daefb99309c25102a6966fc"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:,:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmetric__generic__defs_1_1metric__generic__.html#a756a11126daefb99309c25102a6966fc">coeff_interp</a> =&gt; null()</td></tr>
<tr class="separator:a756a11126daefb99309c25102a6966fc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a57dabbe421e897fe4b502a055cd10a68"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmetric__generic__defs_1_1metric__generic__.html#a57dabbe421e897fe4b502a055cd10a68">coeff_deriv_full</a> =&gt; null()</td></tr>
<tr class="separator:a57dabbe421e897fe4b502a055cd10a68"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a384c527e37e8b73e1f4dc57dffc5e76e"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmetric__generic__defs_1_1metric__generic__.html#a384c527e37e8b73e1f4dc57dffc5e76e">coeff_interp_full</a> =&gt; null()</td></tr>
<tr class="separator:a384c527e37e8b73e1f4dc57dffc5e76e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a54af187515bbfbbb17809e71865bb381"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:,:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmetric__generic__defs_1_1metric__generic__.html#a54af187515bbfbbb17809e71865bb381">coeff_interp_2d</a> =&gt; null()</td></tr>
<tr class="separator:a54af187515bbfbbb17809e71865bb381"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a68cbe1ea97c5accfdeddabf8a6212db4"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:,:,:,:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmetric__generic__defs_1_1metric__generic__.html#a68cbe1ea97c5accfdeddabf8a6212db4">interp_u_xm</a> =&gt; null()</td></tr>
<tr class="separator:a68cbe1ea97c5accfdeddabf8a6212db4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afbcff990f94c0ea7a739aba79dba102e"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:,:,:,:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmetric__generic__defs_1_1metric__generic__.html#afbcff990f94c0ea7a739aba79dba102e">interp_v_ym</a> =&gt; null()</td></tr>
<tr class="separator:afbcff990f94c0ea7a739aba79dba102e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7844896e1aedce3fd89c771c8164e0a5"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:,:,:,:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmetric__generic__defs_1_1metric__generic__.html#a7844896e1aedce3fd89c771c8164e0a5">interp_w_zm</a> =&gt; null()</td></tr>
<tr class="separator:a7844896e1aedce3fd89c771c8164e0a5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1734192dd746b2185a334bcac941d9ce"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:,:,:,:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmetric__generic__defs_1_1metric__generic__.html#a1734192dd746b2185a334bcac941d9ce">interp_uvw_x</a> =&gt; null()</td></tr>
<tr class="separator:a1734192dd746b2185a334bcac941d9ce"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aff34b0a2662ad20e4a12dc3993ebf1ed"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:,:,:,:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmetric__generic__defs_1_1metric__generic__.html#aff34b0a2662ad20e4a12dc3993ebf1ed">interp_uvw_y</a> =&gt; null()</td></tr>
<tr class="separator:aff34b0a2662ad20e4a12dc3993ebf1ed"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af85ace0cf9b0f055b02992bc1858be84"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:,:,:,:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmetric__generic__defs_1_1metric__generic__.html#af85ace0cf9b0f055b02992bc1858be84">interp_uvw_z</a> =&gt; null()</td></tr>
<tr class="separator:af85ace0cf9b0f055b02992bc1858be84"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9931fbf431e41879e9f25366ea21db8b"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:,:,:,:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmetric__generic__defs_1_1metric__generic__.html#a9931fbf431e41879e9f25366ea21db8b">interp_sc_x</a> =&gt; null()</td></tr>
<tr class="separator:a9931fbf431e41879e9f25366ea21db8b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0c911dda1172a740a32384338528a9e8"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:,:,:,:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmetric__generic__defs_1_1metric__generic__.html#a0c911dda1172a740a32384338528a9e8">interp_sc_y</a> =&gt; null()</td></tr>
<tr class="separator:a0c911dda1172a740a32384338528a9e8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aed755b131811e26ede922b6336f36e97"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:,:,:,:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmetric__generic__defs_1_1metric__generic__.html#aed755b131811e26ede922b6336f36e97">interp_sc_z</a> =&gt; null()</td></tr>
<tr class="separator:aed755b131811e26ede922b6336f36e97"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a951999688fb3e6dae74de2216cc8ece9"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:,:,:,:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmetric__generic__defs_1_1metric__generic__.html#a951999688fb3e6dae74de2216cc8ece9">div_u</a> =&gt; null()</td></tr>
<tr class="separator:a951999688fb3e6dae74de2216cc8ece9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5d25158fb9aa1c03a9da9e048f014e9e"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:,:,:,:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmetric__generic__defs_1_1metric__generic__.html#a5d25158fb9aa1c03a9da9e048f014e9e">div_v</a> =&gt; null()</td></tr>
<tr class="separator:a5d25158fb9aa1c03a9da9e048f014e9e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a61ef139708d0b139fb65ae47747f74a2"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:,:,:,:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmetric__generic__defs_1_1metric__generic__.html#a61ef139708d0b139fb65ae47747f74a2">div_w</a> =&gt; null()</td></tr>
<tr class="separator:a61ef139708d0b139fb65ae47747f74a2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a85e966cb6eefbb4d26ad6a7761b1302b"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:,:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmetric__generic__defs_1_1metric__generic__.html#a85e966cb6eefbb4d26ad6a7761b1302b">div_u_fv</a> =&gt; null()</td></tr>
<tr class="separator:a85e966cb6eefbb4d26ad6a7761b1302b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6cc1be6c4aa49d17a48116ad277f3d1b"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:,:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmetric__generic__defs_1_1metric__generic__.html#a6cc1be6c4aa49d17a48116ad277f3d1b">div_v_fv</a> =&gt; null()</td></tr>
<tr class="separator:a6cc1be6c4aa49d17a48116ad277f3d1b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a01749ccaf5ab8776eb720553652f4f34"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:,:,:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmetric__generic__defs_1_1metric__generic__.html#a01749ccaf5ab8776eb720553652f4f34">div_w_fv</a> =&gt; null()</td></tr>
<tr class="separator:a01749ccaf5ab8776eb720553652f4f34"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a991fcc173c1ba787afbbb1fafdf94511"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:,:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmetric__generic__defs_1_1metric__generic__.html#a991fcc173c1ba787afbbb1fafdf94511">div_ux_fv</a> =&gt; null()</td></tr>
<tr class="separator:a991fcc173c1ba787afbbb1fafdf94511"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a571eb0159df1b31af68acb81c29e4776"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:,:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmetric__generic__defs_1_1metric__generic__.html#a571eb0159df1b31af68acb81c29e4776">div_vy_fv</a> =&gt; null()</td></tr>
<tr class="separator:a571eb0159df1b31af68acb81c29e4776"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae93deaca4c34ea18367a038b37847ec9"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:,:,:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmetric__generic__defs_1_1metric__generic__.html#ae93deaca4c34ea18367a038b37847ec9">div_wz_fv</a> =&gt; null()</td></tr>
<tr class="separator:ae93deaca4c34ea18367a038b37847ec9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a89fa876ccf121742f3cbf563ea0f0120"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:,:,:,:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmetric__generic__defs_1_1metric__generic__.html#a89fa876ccf121742f3cbf563ea0f0120">grad_x</a> =&gt; null()</td></tr>
<tr class="separator:a89fa876ccf121742f3cbf563ea0f0120"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeb0dfe10e3e327deb3cebf196b03ec5c"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:,:,:,:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmetric__generic__defs_1_1metric__generic__.html#aeb0dfe10e3e327deb3cebf196b03ec5c">grad_y</a> =&gt; null()</td></tr>
<tr class="separator:aeb0dfe10e3e327deb3cebf196b03ec5c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9eec98f0663898997f780c14fe6e87a3"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:,:,:,:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmetric__generic__defs_1_1metric__generic__.html#a9eec98f0663898997f780c14fe6e87a3">grad_z</a> =&gt; null()</td></tr>
<tr class="separator:a9eec98f0663898997f780c14fe6e87a3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa9a4ef6414a812402e8d6a55481b1190"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:,:,:,:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmetric__generic__defs_1_1metric__generic__.html#aa9a4ef6414a812402e8d6a55481b1190">grad_xm</a> =&gt; null()</td></tr>
<tr class="separator:aa9a4ef6414a812402e8d6a55481b1190"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af378091f991ee434e9e3782afd4272e4"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:,:,:,:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmetric__generic__defs_1_1metric__generic__.html#af378091f991ee434e9e3782afd4272e4">grad_ym</a> =&gt; null()</td></tr>
<tr class="separator:af378091f991ee434e9e3782afd4272e4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a15b33645e1f77d9f4b1bf4c94e8547d7"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:,:,:,:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmetric__generic__defs_1_1metric__generic__.html#a15b33645e1f77d9f4b1bf4c94e8547d7">grad_zm</a> =&gt; null()</td></tr>
<tr class="separator:a15b33645e1f77d9f4b1bf4c94e8547d7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acd3772a0abfd80b2b219e7cd6b2e48a0"><td class="memItemLeft" align="right" valign="top">logical&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmetric__generic__defs_1_1metric__generic__.html#acd3772a0abfd80b2b219e7cd6b2e48a0">use_grad_xm_int</a> = .FALSE.</td></tr>
<tr class="separator:acd3772a0abfd80b2b219e7cd6b2e48a0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeeb35fc1851cb7e3631c437c1411571b"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:,:,:,:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmetric__generic__defs_1_1metric__generic__.html#aeeb35fc1851cb7e3631c437c1411571b">grad_xm_int</a> =&gt; null()</td></tr>
<tr class="separator:aeeb35fc1851cb7e3631c437c1411571b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4c3328f7d001aeb66256809a15d2f0d8"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:,:,:,:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmetric__generic__defs_1_1metric__generic__.html#a4c3328f7d001aeb66256809a15d2f0d8">grad_ym_int</a> =&gt; null()</td></tr>
<tr class="separator:a4c3328f7d001aeb66256809a15d2f0d8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a30ca9ebc401b607aa525ac7f4be26e6e"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:,:,:,:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmetric__generic__defs_1_1metric__generic__.html#a30ca9ebc401b607aa525ac7f4be26e6e">grad_zm_int</a> =&gt; null()</td></tr>
<tr class="separator:a30ca9ebc401b607aa525ac7f4be26e6e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aee9359692fe5c1a09996b92df405336c"><td class="memItemLeft" align="right" valign="top">logical&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmetric__generic__defs_1_1metric__generic__.html#aee9359692fe5c1a09996b92df405336c">bc_applied</a> = .FALSE.</td></tr>
<tr class="separator:aee9359692fe5c1a09996b92df405336c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a226f8c8cf78c195a48c240379b57a802"><td class="memItemLeft" align="right" valign="top">integer, dimension(:,:,:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmetric__generic__defs_1_1metric__generic__.html#a226f8c8cf78c195a48c240379b57a802">is_xm_bc</a> =&gt; null()</td></tr>
<tr class="separator:a226f8c8cf78c195a48c240379b57a802"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afa80e2d4078175fe19b9b5841b742fa3"><td class="memItemLeft" align="right" valign="top">integer, dimension(:,:,:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmetric__generic__defs_1_1metric__generic__.html#afa80e2d4078175fe19b9b5841b742fa3">is_x_bc</a> =&gt; null()</td></tr>
<tr class="separator:afa80e2d4078175fe19b9b5841b742fa3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afbda67d88f92f5beb81d7c4d550e809e"><td class="memItemLeft" align="right" valign="top">integer, dimension(:,:,:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmetric__generic__defs_1_1metric__generic__.html#afbda67d88f92f5beb81d7c4d550e809e">ie_xm_bc</a> =&gt; null()</td></tr>
<tr class="separator:afbda67d88f92f5beb81d7c4d550e809e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af10bcf9f033bf46757b15344b667889b"><td class="memItemLeft" align="right" valign="top">integer, dimension(:,:,:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmetric__generic__defs_1_1metric__generic__.html#af10bcf9f033bf46757b15344b667889b">ie_x_bc</a> =&gt; null()</td></tr>
<tr class="separator:af10bcf9f033bf46757b15344b667889b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3887149936bc759f3779b5d85321b261"><td class="memItemLeft" align="right" valign="top">integer, dimension(:,:,:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmetric__generic__defs_1_1metric__generic__.html#a3887149936bc759f3779b5d85321b261">ibc_xm_bc</a> =&gt; null()</td></tr>
<tr class="separator:a3887149936bc759f3779b5d85321b261"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae219b541da4fa89ea5c61f4c13884201"><td class="memItemLeft" align="right" valign="top">integer, dimension(:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmetric__generic__defs_1_1metric__generic__.html#ae219b541da4fa89ea5c61f4c13884201">h_order_for_free_xm</a> =&gt; null()</td></tr>
<tr class="separator:ae219b541da4fa89ea5c61f4c13884201"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a714018288adccff922e989d4d57afd49"><td class="memItemLeft" align="right" valign="top">type(<a class="el" href="structbc__metric__defs_1_1coeff__bc__.html">coeff_bc_</a>), dimension(:,:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmetric__generic__defs_1_1metric__generic__.html#a714018288adccff922e989d4d57afd49">grad_x2xm_div_sc</a> =&gt; null()</td></tr>
<tr class="separator:a714018288adccff922e989d4d57afd49"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab40ab5617fa8aab0b1e53257756d0a37"><td class="memItemLeft" align="right" valign="top">type(<a class="el" href="structmetric__generic__defs_1_1metric__generic__.html">metric_generic_</a>), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmetric__generic__defs_1_1metric__generic__.html#ab40ab5617fa8aab0b1e53257756d0a37">next</a> =&gt; null()</td></tr>
<tr class="separator:ab40ab5617fa8aab0b1e53257756d0a37"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="aee9359692fe5c1a09996b92df405336c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aee9359692fe5c1a09996b92df405336c">&#9670;&nbsp;</a></span>bc_applied</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">logical metric_generic_defs::metric_generic_::bc_applied = .FALSE.</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a2b08c987a6127ccb01495e5b59168837"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2b08c987a6127ccb01495e5b59168837">&#9670;&nbsp;</a></span>coeff_deriv</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), dimension(:,:), pointer metric_generic_defs::metric_generic_::coeff_deriv =&gt; null()</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a57dabbe421e897fe4b502a055cd10a68"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a57dabbe421e897fe4b502a055cd10a68">&#9670;&nbsp;</a></span>coeff_deriv_full</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), dimension(:), pointer metric_generic_defs::metric_generic_::coeff_deriv_full =&gt; null()</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a756a11126daefb99309c25102a6966fc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a756a11126daefb99309c25102a6966fc">&#9670;&nbsp;</a></span>coeff_interp</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), dimension(:,:), pointer metric_generic_defs::metric_generic_::coeff_interp =&gt; null()</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a54af187515bbfbbb17809e71865bb381"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a54af187515bbfbbb17809e71865bb381">&#9670;&nbsp;</a></span>coeff_interp_2d</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), dimension(:,:), pointer metric_generic_defs::metric_generic_::coeff_interp_2d =&gt; null()</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a384c527e37e8b73e1f4dc57dffc5e76e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a384c527e37e8b73e1f4dc57dffc5e76e">&#9670;&nbsp;</a></span>coeff_interp_full</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), dimension(:), pointer metric_generic_defs::metric_generic_::coeff_interp_full =&gt; null()</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a951999688fb3e6dae74de2216cc8ece9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a951999688fb3e6dae74de2216cc8ece9">&#9670;&nbsp;</a></span>div_u</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), dimension(:,:,:,:), pointer metric_generic_defs::metric_generic_::div_u =&gt; null()</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a85e966cb6eefbb4d26ad6a7761b1302b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a85e966cb6eefbb4d26ad6a7761b1302b">&#9670;&nbsp;</a></span>div_u_fv</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), dimension(:,:), pointer metric_generic_defs::metric_generic_::div_u_fv =&gt; null()</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a991fcc173c1ba787afbbb1fafdf94511"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a991fcc173c1ba787afbbb1fafdf94511">&#9670;&nbsp;</a></span>div_ux_fv</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), dimension(:,:), pointer metric_generic_defs::metric_generic_::div_ux_fv =&gt; null()</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a5d25158fb9aa1c03a9da9e048f014e9e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5d25158fb9aa1c03a9da9e048f014e9e">&#9670;&nbsp;</a></span>div_v</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), dimension(:,:,:,:), pointer metric_generic_defs::metric_generic_::div_v =&gt; null()</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a6cc1be6c4aa49d17a48116ad277f3d1b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6cc1be6c4aa49d17a48116ad277f3d1b">&#9670;&nbsp;</a></span>div_v_fv</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), dimension(:,:), pointer metric_generic_defs::metric_generic_::div_v_fv =&gt; null()</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a571eb0159df1b31af68acb81c29e4776"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a571eb0159df1b31af68acb81c29e4776">&#9670;&nbsp;</a></span>div_vy_fv</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), dimension(:,:), pointer metric_generic_defs::metric_generic_::div_vy_fv =&gt; null()</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a61ef139708d0b139fb65ae47747f74a2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a61ef139708d0b139fb65ae47747f74a2">&#9670;&nbsp;</a></span>div_w</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), dimension(:,:,:,:), pointer metric_generic_defs::metric_generic_::div_w =&gt; null()</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a01749ccaf5ab8776eb720553652f4f34"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a01749ccaf5ab8776eb720553652f4f34">&#9670;&nbsp;</a></span>div_w_fv</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), dimension(:,:,:), pointer metric_generic_defs::metric_generic_::div_w_fv =&gt; null()</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ae93deaca4c34ea18367a038b37847ec9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae93deaca4c34ea18367a038b37847ec9">&#9670;&nbsp;</a></span>div_wz_fv</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), dimension(:,:,:), pointer metric_generic_defs::metric_generic_::div_wz_fv =&gt; null()</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a89fa876ccf121742f3cbf563ea0f0120"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a89fa876ccf121742f3cbf563ea0f0120">&#9670;&nbsp;</a></span>grad_x</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), dimension(:,:,:,:), pointer metric_generic_defs::metric_generic_::grad_x =&gt; null()</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a714018288adccff922e989d4d57afd49"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a714018288adccff922e989d4d57afd49">&#9670;&nbsp;</a></span>grad_x2xm_div_sc</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">type(<a class="el" href="structbc__metric__defs_1_1coeff__bc__.html">coeff_bc_</a>), dimension(:,:), pointer metric_generic_defs::metric_generic_::grad_x2xm_div_sc =&gt; null()</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aa9a4ef6414a812402e8d6a55481b1190"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa9a4ef6414a812402e8d6a55481b1190">&#9670;&nbsp;</a></span>grad_xm</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), dimension(:,:,:,:), pointer metric_generic_defs::metric_generic_::grad_xm =&gt; null()</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aeeb35fc1851cb7e3631c437c1411571b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aeeb35fc1851cb7e3631c437c1411571b">&#9670;&nbsp;</a></span>grad_xm_int</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), dimension(:,:,:,:), pointer metric_generic_defs::metric_generic_::grad_xm_int =&gt; null()</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aeb0dfe10e3e327deb3cebf196b03ec5c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aeb0dfe10e3e327deb3cebf196b03ec5c">&#9670;&nbsp;</a></span>grad_y</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), dimension(:,:,:,:), pointer metric_generic_defs::metric_generic_::grad_y =&gt; null()</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="af378091f991ee434e9e3782afd4272e4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af378091f991ee434e9e3782afd4272e4">&#9670;&nbsp;</a></span>grad_ym</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), dimension(:,:,:,:), pointer metric_generic_defs::metric_generic_::grad_ym =&gt; null()</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a4c3328f7d001aeb66256809a15d2f0d8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4c3328f7d001aeb66256809a15d2f0d8">&#9670;&nbsp;</a></span>grad_ym_int</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), dimension(:,:,:,:), pointer metric_generic_defs::metric_generic_::grad_ym_int =&gt; null()</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a9eec98f0663898997f780c14fe6e87a3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9eec98f0663898997f780c14fe6e87a3">&#9670;&nbsp;</a></span>grad_z</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), dimension(:,:,:,:), pointer metric_generic_defs::metric_generic_::grad_z =&gt; null()</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a15b33645e1f77d9f4b1bf4c94e8547d7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a15b33645e1f77d9f4b1bf4c94e8547d7">&#9670;&nbsp;</a></span>grad_zm</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), dimension(:,:,:,:), pointer metric_generic_defs::metric_generic_::grad_zm =&gt; null()</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a30ca9ebc401b607aa525ac7f4be26e6e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a30ca9ebc401b607aa525ac7f4be26e6e">&#9670;&nbsp;</a></span>grad_zm_int</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), dimension(:,:,:,:), pointer metric_generic_defs::metric_generic_::grad_zm_int =&gt; null()</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ae219b541da4fa89ea5c61f4c13884201"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae219b541da4fa89ea5c61f4c13884201">&#9670;&nbsp;</a></span>h_order_for_free_xm</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">integer, dimension(:), pointer metric_generic_defs::metric_generic_::h_order_for_free_xm =&gt; null()</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a3887149936bc759f3779b5d85321b261"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3887149936bc759f3779b5d85321b261">&#9670;&nbsp;</a></span>ibc_xm_bc</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">integer, dimension(:,:,:), pointer metric_generic_defs::metric_generic_::ibc_xm_bc =&gt; null()</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="af10bcf9f033bf46757b15344b667889b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af10bcf9f033bf46757b15344b667889b">&#9670;&nbsp;</a></span>ie_x_bc</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">integer, dimension(:,:,:), pointer metric_generic_defs::metric_generic_::ie_x_bc =&gt; null()</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="afbda67d88f92f5beb81d7c4d550e809e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afbda67d88f92f5beb81d7c4d550e809e">&#9670;&nbsp;</a></span>ie_xm_bc</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">integer, dimension(:,:,:), pointer metric_generic_defs::metric_generic_::ie_xm_bc =&gt; null()</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a9931fbf431e41879e9f25366ea21db8b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9931fbf431e41879e9f25366ea21db8b">&#9670;&nbsp;</a></span>interp_sc_x</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), dimension(:,:,:,:), pointer metric_generic_defs::metric_generic_::interp_sc_x =&gt; null()</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a0c911dda1172a740a32384338528a9e8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0c911dda1172a740a32384338528a9e8">&#9670;&nbsp;</a></span>interp_sc_y</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), dimension(:,:,:,:), pointer metric_generic_defs::metric_generic_::interp_sc_y =&gt; null()</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aed755b131811e26ede922b6336f36e97"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aed755b131811e26ede922b6336f36e97">&#9670;&nbsp;</a></span>interp_sc_z</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), dimension(:,:,:,:), pointer metric_generic_defs::metric_generic_::interp_sc_z =&gt; null()</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a68cbe1ea97c5accfdeddabf8a6212db4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a68cbe1ea97c5accfdeddabf8a6212db4">&#9670;&nbsp;</a></span>interp_u_xm</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), dimension(:,:,:,:), pointer metric_generic_defs::metric_generic_::interp_u_xm =&gt; null()</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a1734192dd746b2185a334bcac941d9ce"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1734192dd746b2185a334bcac941d9ce">&#9670;&nbsp;</a></span>interp_uvw_x</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), dimension(:,:,:,:), pointer metric_generic_defs::metric_generic_::interp_uvw_x =&gt; null()</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aff34b0a2662ad20e4a12dc3993ebf1ed"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aff34b0a2662ad20e4a12dc3993ebf1ed">&#9670;&nbsp;</a></span>interp_uvw_y</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), dimension(:,:,:,:), pointer metric_generic_defs::metric_generic_::interp_uvw_y =&gt; null()</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="af85ace0cf9b0f055b02992bc1858be84"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af85ace0cf9b0f055b02992bc1858be84">&#9670;&nbsp;</a></span>interp_uvw_z</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), dimension(:,:,:,:), pointer metric_generic_defs::metric_generic_::interp_uvw_z =&gt; null()</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="afbcff990f94c0ea7a739aba79dba102e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afbcff990f94c0ea7a739aba79dba102e">&#9670;&nbsp;</a></span>interp_v_ym</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), dimension(:,:,:,:), pointer metric_generic_defs::metric_generic_::interp_v_ym =&gt; null()</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a7844896e1aedce3fd89c771c8164e0a5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7844896e1aedce3fd89c771c8164e0a5">&#9670;&nbsp;</a></span>interp_w_zm</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), dimension(:,:,:,:), pointer metric_generic_defs::metric_generic_::interp_w_zm =&gt; null()</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="afa80e2d4078175fe19b9b5841b742fa3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afa80e2d4078175fe19b9b5841b742fa3">&#9670;&nbsp;</a></span>is_x_bc</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">integer, dimension(:,:,:), pointer metric_generic_defs::metric_generic_::is_x_bc =&gt; null()</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a226f8c8cf78c195a48c240379b57a802"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a226f8c8cf78c195a48c240379b57a802">&#9670;&nbsp;</a></span>is_xm_bc</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">integer, dimension(:,:,:), pointer metric_generic_defs::metric_generic_::is_xm_bc =&gt; null()</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="acdb1045c2ee511ec58015199783d89cc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acdb1045c2ee511ec58015199783d89cc">&#9670;&nbsp;</a></span>name</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">character(len=str_medium) metric_generic_defs::metric_generic_::name</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ab40ab5617fa8aab0b1e53257756d0a37"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab40ab5617fa8aab0b1e53257756d0a37">&#9670;&nbsp;</a></span>next</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">type(<a class="el" href="structmetric__generic__defs_1_1metric__generic__.html">metric_generic_</a>), pointer metric_generic_defs::metric_generic_::next =&gt; null()</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a8a1dde81afe8172143d39971c0f5ef6a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8a1dde81afe8172143d39971c0f5ef6a">&#9670;&nbsp;</a></span>order</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">integer metric_generic_defs::metric_generic_::order = 2</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a1e470b182f915f86760748d79d3cb8e4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1e470b182f915f86760748d79d3cb8e4">&#9670;&nbsp;</a></span>st1</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">integer metric_generic_defs::metric_generic_::st1</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ad4ef1c9b0db0e4e28208b45ae14ce02c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad4ef1c9b0db0e4e28208b45ae14ce02c">&#9670;&nbsp;</a></span>st1_isx</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">integer metric_generic_defs::metric_generic_::st1_isx</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="afcf58ab0d6628cf8b42a47c06c02b6a6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afcf58ab0d6628cf8b42a47c06c02b6a6">&#9670;&nbsp;</a></span>st2</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">integer metric_generic_defs::metric_generic_::st2</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a07db3dd4a48b516348bd78c1b792fe32"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a07db3dd4a48b516348bd78c1b792fe32">&#9670;&nbsp;</a></span>st2_isx</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">integer metric_generic_defs::metric_generic_::st2_isx</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="af09ab4279670809df7d814b38c7f6086"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af09ab4279670809df7d814b38c7f6086">&#9670;&nbsp;</a></span>stp</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">integer metric_generic_defs::metric_generic_::stp</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="acd3772a0abfd80b2b219e7cd6b2e48a0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acd3772a0abfd80b2b219e7cd6b2e48a0">&#9670;&nbsp;</a></span>use_grad_xm_int</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">logical metric_generic_defs::metric_generic_::use_grad_xm_int = .FALSE.</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ad5050e0545b97db0fff6df82c119fc45"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad5050e0545b97db0fff6df82c119fc45">&#9670;&nbsp;</a></span>visc_order</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">integer metric_generic_defs::metric_generic_::visc_order</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this type was generated from the following file:<ul>
<li><a class="el" href="metric__generic_8f90.html">metric_generic.f90</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Aug 7 2020 16:17:51 for Ciao Code Documentation by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
